> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete a multi part upload to a temp location using the upload id

> Complete a multi-part upload to a temporary location. Requires upload_id, key, and upload_parts.



## OpenAPI

````yaml post /workspaces/import/upload/complete
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/import/upload/complete:
    post:
      tags:
        - Asset Import (upload alternative)
      description: >-
        Complete a multi-part upload to a temporary location. Requires
        upload_id, key, and upload_parts.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                upload_id:
                  type: string
                  description: The upload ID of the multi-part upload
                key:
                  type: string
                  description: The key of the file part
                upload_parts:
                  type: array
                  items:
                    type: object
                    properties:
                      ETag:
                        type: string
                        description: The ETag of the uploaded part
                      PartNumber:
                        type: integer
                        description: The part number of the uploaded part
                checksum:
                  $ref: '#/components/schemas/ChecksumPayload'
      responses:
        '200':
          description: The result of the completed multi-part upload
          content:
            application/json:
              schema:
                type: object
                properties:
                  location:
                    type: string
                    description: The final location of the uploaded file
                  bucket:
                    type: string
                    description: The bucket where the file is stored
                  key:
                    type: string
                    description: The key of the uploaded file
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    ChecksumPayload:
      type: object
      description: Payload containing checksum information.
      properties:
        algorithm:
          type: string
          enum:
            - CRC32
            - CRC32C
            - CRC64NVME
            - SHA1
            - SHA256
          description: The algorithm used for the checksum.
        value:
          type: string
          description: The checksum value.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````